%define upstream_name    PPIx-Regexp
%define upstream_version 0.087

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Represent an independent subexpression marker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(List::Util)
BuildRequires: perl(PPI::Document) >= 1.238.0
BuildRequires: perl(PPI::Dumper) >= 1.238.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(charnames)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
Provides:   perl(PPIx::Regexp::Structure::Atomic_Script_Run) = %{version}
Provides:   perl(PPIx::Regexp::Structure::Script_Run) = %{version}
Provides:   perl(PPIx::Regexp::Token::GroupType::Atomic_Script_Run) = %{version}
Provides:   perl(PPIx::Regexp::Token::GroupType::Script_Run) = %{version}

%description
The purpose of the _PPIx-Regexp_ package is to parse regular expressions in
a manner similar to the way the PPI package parses Perl. This class forms
the root of the parse tree, playing a role similar to PPI::Document.

This package shares with PPI the property of being round-trip safe. That
is,

 my $expr = 's/ ( \d+ ) ( \D+ ) /$2$1/smxg';
 my $re = PPIx::Regexp->new( $expr );
 print $re->content() eq $expr ? "yes\n" : "no\n"

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSES META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 03 2023 tv <tv> 0.87.0-1.mga9
+ Revision: 1937851
- update to 0.087

* Wed Dec 14 2022 tv <tv> 0.86.0-1.mga9
+ Revision: 1922073
- update to 0.086

* Mon Apr 18 2022 tv <tv> 0.85.0-1.mga9
+ Revision: 1851142
- update to 0.085

* Mon Apr 04 2022 tv <tv> 0.84.0-1.mga9
+ Revision: 1843419
- update to 0.084

* Fri Mar 18 2022 tv <tv> 0.83.0-1.mga9
+ Revision: 1798263
- update to 0.083

* Wed Dec 01 2021 tv <tv> 0.82.0-1.mga9
+ Revision: 1760396
- update to 0.082

* Thu Oct 28 2021 tv <tv> 0.81.0-1.mga9
+ Revision: 1753021
- update to 0.081

* Mon Apr 19 2021 tv <tv> 0.80.0-1.mga9
+ Revision: 1716837
- update to 0.080

* Mon Mar 29 2021 tv <tv> 0.79.0-1.mga9
+ Revision: 1711605
- update to 0.079

* Thu Feb 25 2021 tv <tv> 0.78.0-1.mga9
+ Revision: 1690357
- update to 0.078

* Mon Nov 30 2020 tv <tv> 0.76.0-1.mga8
+ Revision: 1650625
- update to 0.076

* Sat Oct 10 2020 tv <tv> 0.75.0-1.mga8
+ Revision: 1633056
- update to 0.075

* Wed Sep 09 2020 tv <tv> 0.74.0-1.mga8
+ Revision: 1623766
- update to 0.074

* Sat Aug 01 2020 tv <tv> 0.73.0-1.mga8
+ Revision: 1610100
- update to 0.073

* Thu May 21 2020 tv <tv> 0.72.0-1.mga8
+ Revision: 1586584
- update to 0.072

* Mon Mar 30 2020 tv <tv> 0.71.0-1.mga8
+ Revision: 1562290
- update to 0.071

* Fri Feb 28 2020 tv <tv> 0.70.0-1.mga8
+ Revision: 1551955
- update to 0.070

* Wed Feb 19 2020 umeabot <umeabot> 0.69.0-2.mga8
+ Revision: 1543898
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 0.69.0-1.mga8
+ Revision: 1489053
- update to 0.069

* Thu Jan 23 2020 tv <tv> 0.68.0-1.mga8
+ Revision: 1482258
- update to 0.068

* Sat Aug 31 2019 tv <tv> 0.67.0-1.mga8
+ Revision: 1436034
- update to 0.067

* Sun Aug 25 2019 tv <tv> 0.66.0-1.mga8
+ Revision: 1431979
- update to 0.066

* Sat Jun 29 2019 tv <tv> 0.65.0-1.mga8
+ Revision: 1415963
- update to 0.065

* Thu Apr 04 2019 tv <tv> 0.64.0-1.mga7
+ Revision: 1385741
- update to 0.064

* Fri Nov 09 2018 tv <tv> 0.63.0-1.mga7
+ Revision: 1329112
- update to 0.063

* Thu Sep 20 2018 umeabot <umeabot> 0.62.0-2.mga7
+ Revision: 1285478
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 tv <tv> 0.62.0-1.mga7
+ Revision: 1251258
- update to 0.062

* Thu Jul 12 2018 tv <tv> 0.61.0-1.mga7
+ Revision: 1243136
- update to 0.061

* Sun Jun 17 2018 tv <tv> 0.60.0-1.mga7
+ Revision: 1237576
- update to 0.060

* Thu May 10 2018 shlomif <shlomif> 0.59.0-1.mga7
+ Revision: 1228166
- update to 0.059

* Fri Apr 27 2018 tv <tv> 0.58.0-1.mga7
+ Revision: 1222865
- update to 0.058

* Wed Apr 18 2018 tv <tv> 0.57.0-1.mga7
+ Revision: 1219944
- update to 0.057

* Fri Mar 09 2018 shlomif <shlomif> 0.56.0-2.mga7
+ Revision: 1207512
- fix install

* Thu Mar 08 2018 tv <tv> 0.56.0-1.mga7
+ Revision: 1207444
- update to 0.056

* Fri Feb 09 2018 tv <tv> 0.55.0-1.mga7
+ Revision: 1199864
- update to 0.055

* Wed Feb 07 2018 shlomif <shlomif> 0.54.0-2.mga7
+ Revision: 1199437
- Fix install + .spec cleanups.

* Tue Feb 06 2018 tv <tv> 0.54.0-1.mga7
+ Revision: 1199205
- update to 0.054

* Tue Oct 31 2017 tv <tv> 0.53.0-1.mga7
+ Revision: 1175172
- update to 0.053

* Tue Oct 03 2017 tv <tv> 0.52.0-2.mga7
+ Revision: 1166350
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.52.0-1.mga7
+ Revision: 1157394
- new version 0.052

* Sat Jul 22 2017 shlomif <shlomif> 0.51.0-1.mga7
+ Revision: 1128860
- update to 0.051

* Sun Jun 19 2016 pterjan <pterjan> 0.48.0-2.mga6
+ Revision: 1032687
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.48.0-1.mga6
+ Revision: 989838
- update to 0.048

* Wed Feb 10 2016 shlomif <shlomif> 0.47.0-1.mga6
+ Revision: 953365
- update to 0.047

* Sat Jan 16 2016 shlomif <shlomif> 0.46.0-1.mga6
+ Revision: 923847
- update to 0.046

* Wed Oct 14 2015 sander85 <sander85> 0.42.0-1.mga6
+ Revision: 891522
- update to 0.042

* Mon Jul 06 2015 sander85 <sander85> 0.41.0-1.mga6
+ Revision: 852000
- update to 0.041

* Wed Oct 15 2014 umeabot <umeabot> 0.36.0-3.mga5
+ Revision: 744279
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.36.0-2.mga5
+ Revision: 685846
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.36.0-1.mga5
+ Revision: 588551
- update to 0.036

* Sat Oct 19 2013 umeabot <umeabot> 0.34.0-2.mga4
+ Revision: 527191
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.34.0-1.mga4
+ Revision: 439718
- update to 0.034

* Sun Jan 13 2013 umeabot <umeabot> 0.28.0-2.mga3
+ Revision: 371335
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 0.28.0-1.mga3
+ Revision: 258872
- update to 0.028

* Tue Jun 05 2012 jquelin <jquelin> 0.27.0-1.mga3
+ Revision: 255285
- update to 0.027

* Tue Mar 06 2012 jquelin <jquelin> 0.26.0-1.mga2
+ Revision: 219983
- update to 0.026

* Thu Jan 05 2012 jquelin <jquelin> 0.25.0-1.mga2
+ Revision: 191260
- update to 0.025

* Mon Dec 19 2011 jquelin <jquelin> 0.24.0-1.mga2
+ Revision: 184210
- update to 0.024

* Thu Dec 08 2011 kharec <kharec> 0.23.0-1.mga2
+ Revision: 179250
- update to 0.023
+ jquelin <jquelin>
- update to 0.021

* Sun Apr 03 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 80130
- update to 0.020

* Wed Mar 09 2011 jquelin <jquelin> 0.19.0-1.mga1
+ Revision: 67023
- update to 0.019

* Tue Feb 22 2011 jquelin <jquelin> 0.18.0-1.mga1
+ Revision: 56727
- update to 0.018

* Wed Feb 16 2011 jquelin <jquelin> 0.17.0-1.mga1
+ Revision: 52635
- update to 0.017

* Sun Jan 23 2011 jquelin <jquelin> 0.16.0-1.mga1
+ Revision: 34113
- mageia rebuild
- imported package perl-PPIx-Regexp

